import React from 'react';
import { FormikProps } from 'formik';

type FormikRef = FormikProps<any>;
interface FormField {
    id: number;
    label: string;
    name: string;
    type: 'text' | 'email' | 'password' | 'textarea' | 'number' | 'enum' | "time" | "date" | "checkbox" | "radio" | "file";
    required: boolean;
    disabled?: boolean;
    displayErrorMessage: boolean;
    regexPattern?: string;
    value?: number | string | boolean;
    options?: {
        label: string;
        value: string;
    }[];
    labelStyles?: {
        className?: string;
        style?: React.CSSProperties;
    };
    inputStyles?: {
        className?: string;
        style?: React.CSSProperties;
    };
    inputContainerStyles?: {
        className?: string;
        style?: React.CSSProperties;
    };
    radioInputContainerStyles?: {
        className?: string;
        style?: React.CSSProperties;
    };
}
interface DynamicFormProps {
    formData: FormField[];
    edit?: boolean;
    containerStyles?: {
        className?: string;
        style?: React.CSSProperties;
    };
    buttonStyles?: {
        className?: string;
        style?: React.CSSProperties;
    };
    buttonContainerStyles?: {
        className?: string;
        style?: React.CSSProperties;
    };
    onSubmitFun?: (values: Record<string, any>) => void;
    formikRef?: React.RefObject<FormikRef>;
}
declare const DynamicForm: React.FC<DynamicFormProps>;

export { type FormField, type FormikRef, DynamicForm as default };
